WordPress.org

Ready to get started?Download WordPress

Forums

Google Analyticator
Internal server error when accessing Settings (20 posts)

  1. ZooL
    Member
    Posted 1 year ago #

    At some point a few weeks ago the dashboard widget stopped displaying info (the plugin worked fine up until that time).

    Today I decided to address the issue and updated the plugin but now, as the title says, whenever I try to open the Settings page I get a "500 - Internal server error" message.

    I've tried uninstalling and reinstalling th plugin several times, with no luck.

    Any ideas?

    Thanks!

    X.

    PS: WordPress isn't installed in a subdirectory.

    http://wordpress.org/extend/plugins/google-analyticator/

  2. kpbryce132
    Member
    Posted 1 year ago #

    This video helped my to enter the code and resolve the activation issues with theh GA plugin - it now is working with no problems!

    http://www.videousermanuals.com/google-analyticator/

  3. Ulfsby Webdesign
    Member
    Posted 1 year ago #

    Same problem her. The widget throwes the error message "There was an Analytics API service error 400:Error fetching OAuth2 access token, message: 'invalid_grant'"
    I upgraded the plugin to version 6.3.3. When I open the settings page, I get the error "Not found".
    @kpbryce132, the video is to no help when the options page can not be accessed.

  4. kpbryce132
    Member
    Posted 1 year ago #

    Stig,

    at the bottom of the settings page for the plugin try deactivating it and "Save".

    Then, activate on the setting page a click the hyperlink to approve through Google.

    Google with automatically create the UID code you need. Copy that code into the field for the Google Analyticizer plugin settings panel.

    When that is done you will see your domain listed as the one that is being actively tracked.

    I had the same problem as you but following the video provided by the new developer solved the server error problems. http://www.videousermanuals.com/google-analyticator/

    Good luck!

    K

  5. ZooL
    Member
    Posted 1 year ago #

    @kpbryce132: many thanks for your input, however, the settings page is not accessible at all...

    I can only activate /deactivate the plugin from within the "Installed plugins" page and that's just about it; I can't go to the Setting page, I keep getting this "Internal Server error"

    thanks,

    X.

  6. kpbryce132
    Member
    Posted 1 year ago #

    If you are accessing the "settings" from the plugin activation panel you are in the wrong place.

    Look for the settings menu on the left side of the main dashboard. Select it and look for Google Analytics sub-menu.

    That is the place where you can disable and then enable the plugin for GA.

    The video link I include previously has most of this information and is a short 3 minutes long.

    Good luck!

  7. ZooL
    Member
    Posted 1 year ago #

    @kpbryce132: I've watched the video, but I'm afraid it's not at all relevant to the issue I'm having

    whether you access the settings page from within the "installed plugins" page or from the menu on the left, as you suggest, it's the exact same thing

    they both link to the same url (http://www.enia.gr/wp-admin/options-general.php?page=google-analyticator.php), thus they both trigger the same "Internal server error" message

    thanks,

    X.

  8. Completeheartblog
    Member
    Posted 1 year ago #

    Same problem as Zool and Stig

  9. Video User Manuals
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Guys,

    To debug, need you to put WP_DEBUG on to get the actual error so I can help work it out with you (http://codex.wordpress.org/WP_DEBUG)

    Ben

  10. ZooL
    Member
    Posted 1 year ago #

    Hi Ben,

    tried with WP_DEBUG set to true from within the wp-config.php, but no luck

    I don't get a single debug message related to this particular plugin; i can post the full dump if you like

    and the link to the settings page is still not working, of course

    it appears is if the link syntax is incorrect, or as if it points to a non existing file /page

    thanks,

    X.

  11. ZooL
    Member
    Posted 1 year ago #

    I also just updated the plugin to Version 6.3.4, that became available today

    the problem remains the same

    X.

  12. Ben May
    Member
    Posted 1 year ago #

    Yes. pls post the errors.. thx

  13. ZooL
    Member
    Posted 1 year ago #

    here you are then:

    Notice: Undefined index: language in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 51
    
    Notice: Undefined index: in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 51
    
    Notice: Undefined index: language in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 52
    
    Notice: Undefined index: in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 52
    
    Notice: Undefined index: language in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 53
    
    Notice: Undefined index: in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 53
    
    Notice: Undefined index: language in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: language in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 55
    
    Notice: Undefined index: language in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 61
    
    Notice: Undefined index: in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 61
    
    Warning: Cannot modify header information - headers already sent by (output started at D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php:51) in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_core.php on line 71
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: get_theme_data is deprecated since version 3.4! Use wp_get_theme() instead. in D:\vhosts\enia.gr\httpdocs\wp-includes\functions.php on line 2628
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 30
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 30
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 30
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 30
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 36
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 36
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 36
    
    Notice: Trying to get property of non-object in D:\vhosts\enia.gr\httpdocs\wp-content\themes\enia.v1\admin\theme-options.php on line 36
    
    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in D:\vhosts\enia.gr\httpdocs\wp-includes\functions.php on line 2712
    
    Notice: add_contextual_help is deprecated since version 3.3! Use get_current_screen()->add_help_tab() instead. in D:\vhosts\enia.gr\httpdocs\wp-includes\functions.php on line 2628
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: id in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\easy-fancybox\easy-fancybox.php on line 351
    
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54
    dir="ltr" lang="el-GR">
    Notice: Undefined index: gr in D:\vhosts\enia.gr\httpdocs\wp-content\plugins\qtranslate\qtranslate_hooks.php on line 54

    thanks,

    X.

  14. Video User Manuals
    Member
    Plugin Author

    Posted 1 year ago #

    Hi, all these errors relate to other plugins - so it' can't help us debug your problem.. sorry

    Ben

  15. ZooL
    Member
    Posted 1 year ago #

    but I know the errors were irrelevant to this plugin, I already stated that a few posts earlier...

    I guess I'm gonna have to give up on this one... :(

    X.

  16. Video User Manuals
    Member
    Plugin Author

    Posted 1 year ago #

    Sorry to hear that. there were no errors anywhere else, that may have given us some clues, not on the settings page?

  17. Ulfsby Webdesign
    Member
    Posted 1 year ago #

    When I access the settings page, I get the error message "Nothing found" (404). URL not found is http://laer-sko-skinn.no/wp-admin/options-general.php?page=ga_activate.

    Here are the error messages I get when I access the setting page with debug on:

    Notice: load_plugin_textdomain was called with an argument that is deprecated since version 2.7 with no alternative available. in .../wordpress/wp-includes/functions.php on line 2724
    
    Notice: date_default_timezone_set() [function.date-default-timezone-set]: Timezone ID 'UTC-2' is invalid in .../wordpress/wp-content/plugins/event-calendar-3-for-php-53/tz.php on line 27
    
    Notice: date_default_timezone_set() [function.date-default-timezone-set]: Timezone ID 'UTC-2' is invalid in .../wordpress/wp-content/plugins/event-calendar-3-for-php-53/tz.php on line 27
    
    Notice: register_widget_control er utgått siden versjon 2.8! Bruk wp_register_widget_control() isteden. in .../wordpress/wp-includes/functions.php on line 2638
    
    Notice: register_widget_control er utgått siden versjon 2.8! Bruk wp_register_widget_control() isteden. in /.../wordpress/wp-includes/functions.php on line 2638
    
    Notice: load_plugin_textdomain ble forespurt med et argument som er utgått siden versjon 2.7! med ingen alternativer tilgjengelige. in /home/laersgpi/public_html/wordpress/wp-includes/functions.php on line 2724
    
    Notice: has_cap ble forespurt med et argument som er utgått siden versjon 2.0! Bruk av brukernivåer i innstikk og temaer er utgått. Bruk roller og rettigheter i stedet. in /home/laersgpi/public_html/wordpress/wp-includes/functions.php on line 2722
    
    Notice: Undefined variable: favi_dom in .../wordpress/wp-content/plugins/shockingly-simple-favicon/shockingly-simple-favicon.php on line 98
    
    Notice: Undefined variable: favi_dom in .../wordpress/wp-content/plugins/shockingly-simple-favicon/shockingly-simple-favicon.php on line 98
    
    Notice: has_cap ble forespurt med et argument som er utgått siden versjon 2.0! Bruk av brukernivåer i innstikk og temaer er utgått. Bruk roller og rettigheter i stedet. in .../wordpress/wp-includes/functions.php on line 2722
    
    Warning: Cannot modify header information - headers already sent by (output started at /home/laersgpi/public_html/wordpress/wp-includes/functions.php:2724) in .../wordpress/wp-includes/pluggable.php on line 881
  18. Ben May
    Member
    Posted 1 year ago #

    Are you running WordPress in a sub directory? And are you using the latest version of the Google Analyticator plugin?

    Ben

  19. Ulfsby Webdesign
    Member
    Posted 1 year ago #

    Yes I am running WordPress in a sub directory. No, I used version 6.3.3 which was the newest when I wrote the first post. I upgraded to 6.3.4 and now I can access the options page. I entered the new autentication code, but when I go to my homepage, I get the following error:

    Fatal error: Uncaught exception 'Google_ServiceException' with message 'Error calling GET https://www.googleapis.com/analytics/v3/data/ga?ids=ga%3Aga%3A51663728&start-date=2012-08-22&end-date=2012-09-20&metrics=ga%3Avisitors: (400) Invalid value 'ga:ga:51663728'. Values must match the following regular expression: 'ga:[0-9]+'' in /home/laersgpi/public_html/wordpress/wp-content/plugins/google-analyticator/google-api-php-client/src/io/Google_REST.php:66 Stack trace: #0 /home/laersgpi/public_html/wordpress/wp-content/plugins/google-analyticator/google-api-php-client/src/io/Google_REST.php(36): Google_REST::decodeHttpResponse(Object(Google_HttpRequest)) #1 /home/laersgpi/public_html/wordpress/wp-content/plugins/google-analyticator/google-api-php-client/src/service/Google_ServiceResource.php(177): Google_REST::execute(Object(Google_HttpRequest)) #2 /home/laersgpi/public_html/wordpress/wp-content/plugins/google-analyticator/google-api-php-client/src/contrib/Google_AnalyticsService.php(274): Google_ServiceResource->__call('get', in /home/laersgpi/public_html/wordpress/wp-content/plugins/google-analyticator/google-api-php-client/src/io/Google_REST.php on line 66

  20. ZooL
    Member
    Posted 1 year ago #

    Gave it another chance today using the plugin's newest version (6.3.4) on a fresh WP installation (v. 3.4.2). I'm still getting the very same error: it's as if the "Settings" page URL is broken.

    What I noticed this time is that the Google Authentication Code that I got [ 4/wgEWti2TS-4VIpsSyNor6ane7JYn.0q-STt6gUFIVOl05ti8Z3TYLJx3JdQI ] contains a slash character; could this be the reason of the problem? Is it possible that this special characeter is not rendered properly somewhere in the settings page code?

    Just a thought...

    X.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic